GDB (xrefs)

Public Attributes | List of all members
int_elf32_dsbt_loadmap Struct Reference

## Public Attributes
int | version
CORE_ADDR | dsbt_table_ptr
int | dsbt_size
int | dsbt_index
int | nsegs
struct int_elf32_dsbt_loadseg | segs [1]

## Detailed Description

Definition at line 87 of file solib-dsbt.c.

## Member Data Documentation

## ◆ dsbt_index

int int_elf32_dsbt_loadmap::dsbt_index

Definition at line 94 of file solib-dsbt.c.

## ◆ dsbt_size

int int_elf32_dsbt_loadmap::dsbt_size

Definition at line 94 of file solib-dsbt.c.

## ◆ dsbt_table_ptr

CORE_ADDR int_elf32_dsbt_loadmap::dsbt_table_ptr

Definition at line 91 of file solib-dsbt.c.

## ◆ nsegs

int int_elf32_dsbt_loadmap::nsegs

Definition at line 96 of file solib-dsbt.c.

Referenced by decode_loadmap(), displacement_from_map(), dsbt_print_loadmap(), dsbt_relocate_main_executable(), and fetch_loadmap().

## ◆ segs

struct int_elf32_dsbt_loadseg int_elf32_dsbt_loadmap::segs[1]

Definition at line 98 of file solib-dsbt.c.

Referenced by decode_loadmap(), displacement_from_map(), dsbt_print_loadmap(), dsbt_relocate_main_executable(), dsbt_relocate_section_addresses(), and fetch_loadmap().

## ◆ version

int int_elf32_dsbt_loadmap::version

Definition at line 90 of file solib-dsbt.c.

Referenced by decode_loadmap(), dsbt_print_loadmap(), and fetch_loadmap().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-dsbt.c